Bug 443514 - Printing from firefox has text positioning problem; font related?
Printing from firefox has text positioning problem; font related?
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-21 18:15 EDT by Penelope Fudd
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-12 10:12:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot showing firefox page beside postscript page (170.67 KB, image/png)
2008-04-21 18:15 EDT, Penelope Fudd
no flags Details
Html page used to demonstrate the problem. (20.89 KB, application/zip)
2008-04-21 18:16 EDT, Penelope Fudd
no flags Details
Postscript output from firefox showing mushed-together letters. (176.75 KB, application/postscript)
2008-04-21 18:18 EDT, Penelope Fudd
no flags Details
Print works fine for me in FF3 Beta 5. (281.19 KB, application/postscript)
2008-05-05 08:38 EDT, Martin Stransky
no flags Details

  None (edit)
Description Penelope Fudd 2008-04-21 18:15:10 EDT
Description of problem:
The postscript output from Firefox is partially unreadable because the letters
are too close together (overlapping).

Version-Release number of selected component (if applicable):
firefox-2.0.0.13-1.fc7

How reproducible:
Always

Steps to Reproduce:
1. View attached html page
2. Print the page (as postscript to file)
3. View the postscript file
  
Actual results:
An unreadable printout.

Expected results:
Umm... a readable printout?

Additional info:
This is on Fedora 7.
Comment 1 Penelope Fudd 2008-04-21 18:15:10 EDT
Created attachment 303217 [details]
Screenshot showing firefox page beside postscript page
Comment 2 Penelope Fudd 2008-04-21 18:16:46 EDT
Created attachment 303218 [details]
Html page used to demonstrate the problem.

It's the top half of a tax form; all personal information has been cut off.
Comment 3 Penelope Fudd 2008-04-21 18:18:05 EDT
Created attachment 303219 [details]
Postscript output from firefox showing mushed-together letters.

It's unreadable.
Comment 4 Penelope Fudd 2008-04-21 18:24:28 EDT
I had this problem printing my tax forms last year as well, but I didn't report
it then because I thought it was just me.  That was Fedora 6.

Since then, I bought a new laptop, and installed Fedora 7.

This year, I was surprised to see this bug was still present.  Argh!

I converted the postscript to pdf and sent that to my wife's windows computer;
the PDF had the same spacing problem as the postscript.

I ended up sending the html files to my wife so she could print them using
Windows XP and Internet Explorer.  That looked perfect.

Hope this works out and the bug gets forwarded upstream!  Linux must rule!

Thanks!
Comment 5 Matěj Cepl 2008-05-03 06:56:40 EDT
Can you reproduce it with upstream binary from http://www.mozilla.com/en-US/?
Comment 6 Martin Stransky 2008-05-05 08:38:24 EDT
Created attachment 304525 [details]
Print works fine for me in FF3 Beta 5.
Comment 7 Bug Zapper 2008-05-14 11:27:27 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Matěj Cepl 2008-06-12 10:12:07 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.